/[gentoo-x86]/dev-lang/ruby/ChangeLog
Gentoo

Diff of /dev-lang/ruby/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.300 Revision 1.347
1# ChangeLog for dev-lang/ruby 1# ChangeLog for dev-lang/ruby
2# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 2002-2008 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.300 2007/10/07 14:41:40 opfer Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.347 2008/08/29 06:25:34 graaff Exp $
4
5*ruby-1.8.6_p287-r1 (29 Aug 2008)
6
7 29 Aug 2008; Hans de Graaff <graaff@gentoo.org>
8 +files/ruby-1.8.6_p287-entity_expansion_limit.diff,
9 +ruby-1.8.6_p287-r1.ebuild:
10 Fix REXML security issues, bug #236060.
11
12 23 Aug 2008; Jeroen Roovers <jer@gentoo.org> metadata.xml:
13 Add GLEP 56 USE flag descriptions.
14
15*ruby-1.8.7_p72 (15 Aug 2008)
16
17 15 Aug 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_p22.ebuild,
18 +ruby-1.8.7_p72.ebuild:
19 bump 1.8.7 to latest patch release
20
21*ruby-1.8.6_p287 (11 Aug 2008)
22
23 11 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p287.ebuild:
24 Version bump for brown paper bag relelease.
25
26 10 Aug 2008; Hans de Graaff <graaff@gentoo.org>
27 -files/ruby-1.8.6-revert-r15856.patch, -ruby-1.8.6_p230.ebuild:
28 Remove broken version in favor of the just-added 1.8.6_p286
29
30*ruby-1.8.6_p286 (10 Aug 2008)
31
32 10 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p286.ebuild:
33 Version bump to latest released version of ruby 1.8.6. This version fixes the
34 security issues reported in #225465 and #234224. The cjk USE flag has been
35 dropped since no compatible patches have been released yet.
36
37 25 Jul 2008; Michael Sterrett <mr_bones_@gentoo.org>
38 ruby-1.8.6_p230.ebuild:
39 drop cjk from SRC_URI as well
40
41 15 Jul 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p230.ebuild:
42 Drop cjk support since the most recent oniguruma patches no longer apply to
43 this version, #230111.
44
45 29 Jun 2008; Hans de Graaff <graaff@gentoo.org>
46 +files/ruby-1.8.6-revert-r15856.patch, +ruby-1.8.6_p230.ebuild:
47 Try to fix the security issues reported in #225465 for ruby 1.8.6.
48 Unfortunately the official p230 has a change which causes segmentation faults
49 for applications like Rails and RSpec, so we are reverting that specific
50 change.
51
52*ruby-1.8.7_p22 (29 Jun 2008)
53
54 29 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7.ebuild,
55 +ruby-1.8.7_p22.ebuild:
56 bump 1.8.7 for security fix
57
58 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.6_p230.ebuild:
59 nevermind, don't bump this yet
60
61*ruby-1.8.6_p230 (20 Jun 2008)
62
63 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> +ruby-1.8.6_p230.ebuild:
64 version bump
65
66*ruby-1.8.7 (10 Jun 2008)
67
68 10 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_pre2.ebuild,
69 +ruby-1.8.7.ebuild:
70 bump 1.8.7 to final
71
72*ruby-1.8.7_pre2 (21 Apr 2008)
73
74 21 Apr 2008; Richard Brown <rbrown@gentoo.org> -ruby-1.8.7_pre1.ebuild,
75 +ruby-1.8.7_pre2.ebuild:
76 Version Bump
77
78*ruby-1.8.7_pre1 (16 Apr 2008)
79
80 16 Apr 2008; Richard Brown <rbrown@gentoo.org> +ruby-1.8.7_pre1.ebuild:
81 Version bump. Drop cjk until a new version of oniguruma appears.
82
83 06 Mar 2008; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p114.ebuild:
84 amd64 stable, bug 212264
85
86 06 Mar 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p114.ebuild:
87 Stable for HPPA (bug #212264).
88
89 05 Mar 2008; Tobias Scherbaum <dertobi123@gentoo.org>
90 ruby-1.8.6_p114.ebuild:
91 ppc stable, bug #212264
92
93 05 Mar 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p114.ebuild:
94 alpha/ia64 stable wrt #212264
95
96 05 Mar 2008; Christian Faulhammer <opfer@gentoo.org>
97 ruby-1.8.6_p114.ebuild:
98 stable x86, security bug 212264
99
100 05 Mar 2008; Ferris McCormick <fmccor@gentoo.org> ruby-1.8.6_p114.ebuild:
101 Sparc stable, Security Bug #212264, builds and installs, initial tests run
102 as expected.
103
104 05 Mar 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p114.ebuild:
105 Marking ruby-1.8.6_p114 ppc64 for bug 212264
106
107*ruby-1.8.6_p114 (05 Mar 2008)
108
109 05 Mar 2008; Richard Brown <rbrown@gentoo.org>
110 -files/ruby-1.8.4-glibc24-eaccess.diff, -files/ruby-1.8.4-yaml.diff,
111 -files/ruby-1.8.5_p113-net-http-p114.patch, -ruby-1.8.4-r3.ebuild,
112 -ruby-1.8.5_p113.ebuild, +ruby-1.8.6_p114.ebuild:
113 Version bump for #212264. Remove old ebuilds.
114
115 17 Feb 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
116 alpha/ia64 stable wrt #208916
117
118 17 Feb 2008; nixnut <nixnut@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
119 Stable on ppc wrt bug 208916
120
121 16 Feb 2008; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
122 x86 stable, bug #208916
123
124 16 Feb 2008; Ferris McCormick <fmccor@gentoo.org>
125 ruby-1.8.6_p111-r1.ebuild:
126 Sparc stable --- Bug #208916 --- working well for about 6 weeks.
127
128 15 Feb 2008; Richard Brown <rbrown@gentoo.org>
129 -files/ruby-1.8.6-exit-status.patch,
130 -files/ruby-1.8.6_p110-net-http-p111.patch,
131 -files/ruby-1.8.6_p36-rb_thread_status_prototype.patch,
132 -ruby-1.8.5_p2-r1.ebuild, -ruby-1.8.6-r1.ebuild,
133 -ruby-1.8.6_p110-r1.ebuild, -ruby-1.8.6_p110-r2.ebuild:
134 Remove old versions
135
136 05 Feb 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
137 Stable on ppc64
138
139 26 Dec 2007; Peter Weller <welp@gentoo.org> ruby-1.8.6_p111.ebuild:
140 Stable on amd64; bug 199191
141
142 24 Dec 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p111.ebuild:
143 alpha/ia64/sparc stable wrt #199191
144
145 24 Dec 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
146 Remove now-obsolete warning about coreutils versions, #203156.
147
148 24 Dec 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
149 Stable for HPPA (bug #199191).
150
151*ruby-1.8.6_p111-r1 (23 Dec 2007)
152
153 23 Dec 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p111-r1.ebuild:
154 Remove dependencies on system packages. Add berkdb (bug #199705), gdbm and
155 ssl USE flags. Patch to p113.
156
157 23 Dec 2007; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p111.ebuild:
158 Marking ruby-1.8.6_p111 ppc and ppc64 for bug 199191
159
160 23 Dec 2007; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p111.ebuild:
161 x86 stable, security bug #199191
162
163*ruby-1.8.6_p111 (23 Dec 2007)
164
165 23 Dec 2007; Richard Brown <rbrown@gentoo.org>
166 +files/ruby-1.8.6_p111-r13657.patch, +ruby-1.8.6_p111.ebuild:
167 Version bump with patch for bug #199191
168
169 14 Dec 2007; Ulrich Mueller <ulm@gentoo.org> ruby-1.8.6_p110-r2.ebuild:
170 Move dependency on (X)Emacs modes to PDEPEND.
171
172 25 Oct 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p110-r2.ebuild:
173 Add back ~hppa keyword now that XEmacs support files have been keyworded,
174 bug 196413
175
176*ruby-1.8.6_p110-r2 (21 Oct 2007)
177
178 21 Oct 2007; Hans de Graaff <graaff@gentoo.org>
179 +ruby-1.8.6_p110-r2.ebuild:
180 Add emacs and xemacs USE flags and use them to pull in the correct editing
181 mode for each. Had to drop several arch keywords as reported on bug 196413.
182
183 13 Oct 2007; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
184 amd64 stable, security bug 194236
185
186 11 Oct 2007; Markus Rothe <corsair@gentoo.org> ruby-1.8.5_p113.ebuild,
187 ruby-1.8.6_p110-r1.ebuild:
188 Stable on ppc64; bug #194236
189
190 09 Oct 2007; Steve Dibb <beandog@gentoo.org> ruby-1.8.6-r1.ebuild:
191 amd64 stable, security bug 194236
192
193 08 Oct 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
194 Stable for HPPA (bug #194236).
195
196 08 Oct 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
197 alpha/ia64/sparc stable wrt security #194236
198
199 07 Oct 2007; Tobias Scherbaum <dertobi123@gentoo.org>
200 ruby-1.8.6_p110-r1.ebuild:
201 ppc stable, bug #194236
202
203 07 Oct 2007; Christian Faulhammer <opfer@gentoo.org>
204 ruby-1.8.6_p110-r1.ebuild:
205 stable x86, security bug 194236
4 206
5 07 Oct 2007; Christian Faulhammer <opfer@gentoo.org> 207 07 Oct 2007; Christian Faulhammer <opfer@gentoo.org>
6 ruby-1.8.5_p113.ebuild: 208 ruby-1.8.5_p113.ebuild:
7 stable x86, security bug 194236 209 stable x86, security bug 194236
8 210

Legend:
Removed from v.1.300  
changed lines
  Added in v.1.347

  ViewVC Help
Powered by ViewVC 1.1.20